# This is for the usage of the Extension License Framework

gui.action.wizard.activate_license.label	= Demo Version - Enter License Key here
gui.action.wizard.activate_license.icon	= key.png
gui.dialog.activate_license.title	= Activate License
gui.dialog.activate_license.icon	= key.png
gui.dialog.activate_license.message	= The Extension containing this operator is currently running as a Demo version. To unlock all features please enter your email address and your activation code below. If you don't have one yet, you can order one on our website or request a trial.
gui.action.owc.order_license.label = Order a License Key
gui.action.owc.order_license.tooltip = This opens our website where you can order a license key. You will get it immediately via email.
gui.action.owc.order_license.icon = symbol_dollar_euro.png


gui.dockkey.toolkit.background_processes.name = Background Processes
gui.dockkey.toolkit.background_processes.icon = gearwheel.png
gui.dockkey.toolkit.background_processes.tip = Manage processes running in the background
gui.dockkey.toolkit.background_processes.short = Overview over processes running in the background


gui.dockkey.toolkit.data_storage_statistics.name = Storage Statistics
gui.dockkey.toolkit.data_storage_statistics.icon = hard_drive.png
gui.dockkey.toolkit.data_storage_statistics.short = Shows statistics about on disk memory and cache usage
gui.dockkey.toolkit.data_storage_statistics.tip = Statistics about the usage of the off-heap data storage and the cache mechanism.


gui.dialog.error.toolkit.license_exceeded_parallelility.title=Demo License
gui.dialog.error.toolkit.license_exceeded_parallelility.message=Demo License does not allow to increase the parallelity beyond 2. Please contact sales of Old World Computing at sales@oldworldcomputing.com to get a valid license.

gui.dialog.confirm.toolkit.remove_finished_executions.confirmation.title = Warning!
gui.dialog.confirm.toolkit.remove_finished_executions.confirmation.message = Are you sure you want to remove all finished and stopped background executions?
gui.dialog.confirm.toolkit.remove_finished_executions.confirmation.icon = warning.png

gui.dialog.confirm.toolkit.background_execution_view.user_error.title = Error!
gui.dialog.confirm.toolkit.background_execution_view.user_error.message = An error has occurred while trying to execute the selected process {0}.
gui.dialog.confirm.toolkit.background_execution_view.user_error.icon = error.png

gui.action.toolkit.shift_operators.label  = Shift Operators
gui.action.toolkit.shift_operators.tip    = Shifts all elements of a process to the right to accomodate the selected operators
gui.action.toolkit.shift_operators.icon   = fit_to_width.png
gui.action.toolkit.shift_operators.acc    = alt shift S

gui.action.toolkit.navigate_previous.label  = Navigate Previous
gui.action.toolkit.navigate_previous.tip    = Navigates to the last opened subprocess or process
gui.action.toolkit.navigate_previous.icon   = arrow_left.png
gui.action.toolkit.navigate_previous.acc    = control alt D
gui.action.toolkit.navigate_next.label  = Navigate Next
gui.action.toolkit.navigate_next.tip    = Navigates to the next opened subprocess or process
gui.action.toolkit.navigate_next.icon   = arrow_right.png
gui.action.toolkit.navigate_next.acc    = control alt F

gui.action.toolkit.navigate_previous_process.label  = Previous Process
gui.action.toolkit.navigate_previous_process.tip    = Navigates to the last opened process
gui.action.toolkit.navigate_previous_process.icon   = arrow_left.png
gui.action.toolkit.navigate_previous_process.acc    = control D
gui.action.toolkit.navigate_next_process.label  = Next Process
gui.action.toolkit.navigate_next_process.tip    = Navigates to the next opened process
gui.action.toolkit.navigate_next_process.icon   = arrow_right.png
gui.action.toolkit.navigate_next_process.acc    = control F


gui.action.toolkit.stop_execution.label  = Stop Process
gui.action.toolkit.stop_execution.tip    = This will try to stop the process
gui.action.toolkit.stop_execution.icon   = media_stop.png

gui.action.toolkit.remove_execution.label  = Clear Process
gui.action.toolkit.remove_execution.tip    = This will remove the process from the list, discard the results and free the associated memory
gui.action.toolkit.remove_execution.icon   = delete.png

gui.action.toolkit.open_execution_process.label  = Open Process
gui.action.toolkit.open_execution_process.tip    = This will open the executed process
gui.action.toolkit.open_execution_process.icon   = folder.png

gui.action.toolkit.open_execution_result.label  = Open Result
gui.action.toolkit.open_execution_result.tip    = This will open the result in the Result Overview
gui.action.toolkit.open_execution_result.icon   = presentation_chart.png

gui.action.toolkit.set_parallelity.label  = Set Concurrency Level 
gui.action.toolkit.set_parallelity.tip    = This will open a dialog to select the number of parallel running threads
gui.action.toolkit.set_parallelity.icon   = back.png

gui.dialog.input.set_parallelity.title	= Set Concurrency Level
gui.dialog.input.set_parallelity.icon	= back.png
gui.dialog.input.set_parallelity.message	= Please enter the number of concurrently executed threads. Please notice that blocked threads are not counted.

gui.label.toolkit.column_count_label.label = Columns Stored
gui.label.toolkit.max_space_label.label = Allocated Storage
gui.label.toolkit.used_space_label.label = Used Storage
gui.label.toolkit.cache_entries_label.label= Cache Entries

gui.action.wizard.copy_macros.label = Initialize with context macros
gui.action.wizard.copy_macros.icon = environment.png
gui.action.wizard.copy_macros.tip = Defines the macros to be equal to the linked process. This needs to be accessible.

gui.action.wizard.clear_cache.label = Clear Cache
gui.action.wizard.clear_cache.icon = garbage_make_empty.png
gui.action.wizard.clear_cache.tip = Clears the specified cache manually, if needed for process design.

gui.action.wizard.open_process.label = Open Process
gui.action.wizard.open_process.icon = folder_open.png
gui.action.wizard.open_process.tip = Opens the linked process.

gui.action.wizard.toolkit.debug_process.label = Debug Process
gui.action.wizard.toolkit.debug_process.icon = bug.png
gui.action.wizard.toolkit.debug_process.tip = Opens the linked process for debugging with the current input and macro settings.

gui.action.wizard.toolkit.create_process_specifications.label = Derive Specifications
gui.action.wizard.toolkit.create_process_specifications.icon = table.png
gui.action.wizard.toolkit.create_process_specifications.tip = Creates a specifications folder for the linked process with input data and macro values from last execution. Possibly you need to set a breakpoint after onto the operator.


gui.action.toolkit.show_running_executions.label = 
gui.action.toolkit.show_running_executions.icon  = media_play.png
gui.action.toolkit.show_running_executions.tip   = If toggled every running background process will be shown in the background process view.	

gui.action.toolkit.show_pending_executions.label = 
gui.action.toolkit.show_pending_executions.icon  = alarmclock.png
gui.action.toolkit.show_pending_executions.tip   = If toggled every pending background process will be shown in the background process view.	

gui.action.toolkit.show_finished_executions.label = 
gui.action.toolkit.show_finished_executions.icon  = check.png
gui.action.toolkit.show_finished_executions.tip   = If toggled every finished background process will be shown in the background process view.	

gui.action.toolkit.import_process.label = Import background process
gui.action.toolkit.import_process.icon  = media_play.png
gui.action.toolkit.import_process.tip   = Select a process to add it to the background process list for further usage.

gui.action.toolkit.remove_process.label = Remove selected background process
gui.action.toolkit.remove_process.icon  = navigate_cross.png
gui.action.toolkit.remove_process.tip   = The current selected background process will be removed.

gui.action.toolkit.remove_finished_processes.label = Remove all finished background processes
gui.action.toolkit.remove_finished_processes.icon  = selection_delete.png
gui.action.toolkit.remove_finished_processes.tip   = Every finished or stopped background process will be removed.

gui.action.toolkit.stop_process.label = Stop selected background process
gui.action.toolkit.stop_process.icon  = media_stop.png
gui.action.toolkit.stop_process.tip   = Try to stop the current selected background process.

gui.action.toolkit.filter_menu.label = 
gui.action.toolkit.filter_menu.icon  = funnel.png
gui.action.toolkit.filter_menu.tip   = Filter options for the current background executions.

gui.action.jackhammer.toggle_performance_measurement.label  = Enable Process Execution Performance monitoring
gui.action.jackhammer.toggle_performance_measurement.tip    = If enabled execution times of operators are calculated and shown together with the results after execution.
gui.action.jackhammer.toggle_performance_measurement.icon   = stopwatch.png

#Configurators
gui.connectionParameters.toolkit.remote_file_connection.name 		= Remote File Connection
gui.connectionParameters.toolkit.remote_file_connection.description = Defines a Connection to a Remote FileSystem containing targeted Files. 
gui.connectionParameters.toolkit.remote_file_connection.icon		= recycle.png

gui.action.toolkit.test_connection.file_not_found.message = Directory or File {0} does not exists.
gui.action.toolkit.test_connection.resolve_file.message = Could not resolve path {0}. {1}
gui.action.toolkit.test_connection.connection_successful.message= Remote File Connection Test was successful!

#Remote File Task descriptions
gui.task.toolkit.resolve_file.description 		= Resolving Remote File {0}
gui.task.toolkit.open_remove_file.description 	= Retrieving Remote File {0}
gui.task.toolkit.remote_file_exists.description = Checking existence of selected file {0}
gui.task.toolkit.delete_file.description 		= Deleting Remote File {0}
gui.task.toolkit.move_file.description			= Moving remotely from {0} to {1}
gui.task.toolkit.copy_file.description 			= Copying from {0} to {1}
gui.task.toolkit.simple_task.description 		= Performing Simple Check
gui.task.toolkit.writing_file.description		= Writing File ''{0}'' to {1}
gui.task.toolkit.write_to_local.description   	= Writing the selected RemoteFile to local File.
gui.task.toolkit.create_temp_file.description 	= Creating temp {0} file to store RemoteFile temporarily in it.
gui.task.toolkit.get_inputstream.description   	= Retrieving InputStream for {0}


gui.dialog.error.no_execution_data.title = No debug data available
gui.dialog.error.no_execution_data.message = In order to create debug data, the execution of the called process must fail, you can set a breakpoint after on this operator or if the data is still available in cache after execution.

# Functions
gui.dialog.function.text_transformation.hash.name = hash
gui.dialog.function.text_transformation.hash.help = hash
gui.dialog.function.text_transformation.hash.group = Advanced functions
gui.dialog.function.text_transformation.hash.description = Computes the SHA-256 hash value represented in BASE64 of an arbitrary combination of inputs.
gui.dialog.function.text_transformation.hash.parameters = hash ( Attribute_value argument, ...,  Attribute_value argument )

gui.dialog.function.text_transformation.hash_modulo.name = hash_modulo
gui.dialog.function.text_transformation.hash_modulo.help = hash_modulo
gui.dialog.function.text_transformation.hash_modulo.group = Advanced functions
gui.dialog.function.text_transformation.hash_modulo.description = Computes modulo of a SHA-256 hash value represented of an arbitrary combination of inputs.
gui.dialog.function.text_transformation.hash_modulo.parameters = hash_modulo ( Integer modulo,  Attribute_value arguments, ... )

gui.dialog.function.text_transformation.escape_url.name = escape_url
gui.dialog.function.text_transformation.escape_url.help = escape_url
gui.dialog.function.text_transformation.escape_url.group = Text transformation
gui.dialog.function.text_transformation.escape_url.description = Escapes a string for usage as part of an url in ISO-8859-1 encoding. 
gui.dialog.function.text_transformation.escape_url.parameters = escape_url ( Attribute_value argument )

gui.dialog.function.text_transformation.escape_url_encoding.name = escape_url_encoding
gui.dialog.function.text_transformation.escape_url_encoding.help = escape_url_encoding
gui.dialog.function.text_transformation.escape_url_encoding.group = Text transformation
gui.dialog.function.text_transformation.escape_url_encoding.description = Escapes a string for usage as part of an url with a specific encoding. 
gui.dialog.function.text_transformation.escape_url_encoding.parameters = escape_url_encoding ( Attribute_value argument, Attribute_value encoding )


gui.dialog.function.bitwise.bit_shift_left.name = bit_shift_left
gui.dialog.function.bitwise.bit_shift_left.help = bit_shift_left
gui.dialog.function.bitwise.bit_shift_left.group = Bitwise operations
gui.dialog.function.bitwise.bit_shift_left.description = Shifts the bits of an integer to the left.
gui.dialog.function.bitwise.bit_shift_left.parameters = bit_shift_left ( Integer argument, Integer shiftBy )

gui.dialog.function.bitwise.bit_shift_right_unsigned.name = bit_shift_right_unsigned
gui.dialog.function.bitwise.bit_shift_right_unsigned.help = bit_shift_right_unsigned
gui.dialog.function.bitwise.bit_shift_right_unsigned.group = Bitwise operations
gui.dialog.function.bitwise.bit_shift_right_unsigned.description = Shifts the bits of an integer to the right, introduces 0 on the left.
gui.dialog.function.bitwise.bit_shift_right_unsigned.parameters = bit_shift_right_unsigned ( Integer argument, Integer shiftBy )

gui.dialog.function.bitwise.bit_shift_right_signed.name = bit_shift_right_signed
gui.dialog.function.bitwise.bit_shift_right_signed.help = bit_shift_right_signed
gui.dialog.function.bitwise.bit_shift_right_signed.group = Bitwise operations
gui.dialog.function.bitwise.bit_shift_right_signed.description = Shifts the bits of an integer to the right, keeping the sign of the integer by introducing 1 for negative integers.
gui.dialog.function.bitwise.bit_shift_right_signed.parameters = bit_shift_right_signed ( Integer argument, Integer shiftBy )

gui.dialog.function.text_conversion.encode.name = encode
gui.dialog.function.text_conversion.encode.help = encode
gui.dialog.function.text_conversion.encode.group = Conversion functions
gui.dialog.function.text_conversion.encode.description = Takes the number and encodes the specified number of bytes as String by using the specified encoding.
gui.dialog.function.text_conversion.encode.parameters = encode ( Integer argument, Integer numberOfBytes, Nominal encodingName )

# new RM connectionsystem gui elements

####################
## Connections     #
####################

# Remote File Connection
gui.label.connection.type.toolkit.RemoteFileConnection.icon = recycle.png
gui.label.connection.type.toolkit.RemoteFileConnection.label = Remote File Connection
gui.label.connection.type.toolkit.RemoteFileConnection.tip = Defines a Connection to a Remote FileSystem containing targeted Files. 

gui.label.connection.group.toolkit.RemoteFileConnection.basic.icon = 
gui.label.connection.group.toolkit.RemoteFileConnection.basic.label = Basic
gui.label.connection.group.toolkit.RemoteFileConnection.basic.tip = 
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.connection_type.label = Connection Type
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.connection_type.tip = Defines the protocol which will be used to connect to the remote filesystem.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.host.label = Host
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.host.tip = Host address containing a remote filesystem.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.password.label = Password
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.password.tip = This parameter is used to authenticate to the server with the provided username and password.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_ftp.label = Port Ftp
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_ftp.tip = FTP Port
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_ftps.label = Port Ftps
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_ftps.tip = FTPS Port
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_sftp.label = Port Sftp
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.port_sftp.tip = SFTP Port
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.root_directory.label = Root Directory
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.root_directory.tip = OPTIONAL: The provided directory (e.g. "/directory" to chose the directory folder in the top layer as the selected root/working directory) will be set as new root directory, make sure that the provided directory is a sub dirctory of the original root directory of the targeted remote filesystem.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.username.label = Username
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.username.tip = This parameter is used to authenticate to the server with the provided username and password.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.connect_timeout.label = Connect Timeout
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.connect_timeout.tip = Sets the timeout for the initial control connection. If set to 0, no connect timeout will be set.
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.session_timeout.label = Session Timeout
gui.label.connection.parameter.toolkit.RemoteFileConnection.basic.session_timeout.tip = Sets the timeout value on Jsch session. If set to 0 or left empty, no session timeout will be set.
